Bug 150895 - system-config-cluster: Naming of Resources in tree view
system-config-cluster: Naming of Resources in tree view
Status: CLOSED NEXTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-11 14:30 EST by Derek Anderson
Modified: 2009-04-16 16:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-20 12:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Derek Anderson 2005-03-11 14:30:18 EST
Description of problem:
The convention in the rest of the tree view appears to be to display
the item by "name=" if it has that attribute available.  Under the
Resources part of the tree this is less intuitive.

If a resource of type fs is created and its name is "123" it displays
in the tree as "Resource 123".  A couple of things about this:  I
already know it's a resource from its parent.  And there's no
immediate indication of what "123" is without digging down into its
properties.

Suggestion: Name these things with "type" followed by "name".  If name
is not available, as with IP address, use the "ip address" attribute.
 So in my previous example "Resource 123" becomes "Filesystem 123". 
Instead of "Resource IP Address" it might be "IP Address 10.1.1.100".

Version-Release number of selected component (if applicable):
system-config-cluster-0.9.11-1.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jim Parsons 2005-03-28 06:21:10 EST
Fixed in 0.9.17-1.0
Comment 2 Corey Marthaler 2005-04-20 12:26:40 EDT
fix verified in 0.9.29-1.0.

Note You need to log in before you can comment on or make changes to this bug.